// MessagePumpDlg.h : header file
//

#if !defined(AFX_MESSAGEPUMPDLG_H__E6EF24AA_40D7_11D4_9FEB_080009EE62AA__INCLUDED_)
#define AFX_MESSAGEPUMPDLG_H__E6EF24AA_40D7_11D4_9FEB_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMessagePumpDlg dialog

class CMessagePumpDlg : public CDialog
{
// Construction
public:
	CMessagePumpDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMessagePumpDlg)
	enum { IDD = IDD_MESSAGEPUMP_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMessagePumpDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	bool m_Cancel;

	// Generated message map functions
	//{{AFX_MSG(CMessagePumpDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnGonopump();
	afx_msg void OnCancel();
	afx_msg void OnGopump();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MESSAGEPUMPDLG_H__E6EF24AA_40D7_11D4_9FEB_080009EE62AA__INCLUDED_)
